//########################################################################
// This program is provided "as is" without any express 
// or implied warranty of any kind with respect to this software. 
// In particular the author shall not be liable for any direct, 
// indirect, special, incidental or consequential damages arising 
// in any way from use of the software.
//
//
// Author   : Jialong He, 
// Date     : July, 1999. 
//
// Contact  : Jialong_He@bigfoot.com, Jialong_He@homemail.com
// Web Page : www.bigfoot.com/~Jialong_He
//########################################################################
// FIRDsgnDlg.h : header file
//
#include "DrawMag.h"


#if !defined(AFX_FIRDSGNDLG_H__E4B05A37_358E_11D3_B891_00600899330A__INCLUDED_)
#define AFX_FIRDSGNDLG_H__E4B05A37_358E_11D3_B891_00600899330A__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CFIRDsgnDlg dialog

class CFIRDsgnDlg : public CDialog
{
// Construction
public:
	CFIRDsgnDlg(CWnd* pParent = NULL);	// standard constructor
	~CFIRDsgnDlg();   // destructor

// Dialog Data
	//{{AFX_DATA(CFIRDsgnDlg)
	enum { IDD = IDD_FIRDSGN_DIALOG };
	CStatic	m_LowDis;
	CSliderCtrl	m_LowCut;
	CStatic	m_HighDis;
	CSliderCtrl	m_HighCut;
	CListBox	m_Coef;
	int		m_Order;
	int		m_SRate;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFIRDsgnDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

	CDrawMag m_wndMag;
	//-----------------------------
	// hold filter coefficients
	//-----------------------------
	double *Coef;
	int Order;
	int fir_dsgn(int Len, double CutLow, double CutHigh);


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CFIRDsgnDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnSavecoef();
	afx_msg void OnCalculate();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnChangeSRate();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FIRDSGNDLG_H__E4B05A37_358E_11D3_B891_00600899330A__INCLUDED_)
